Last Comment Bug 651480 - Only show the filter list when there are multiple filters
: Only show the filter list when there are multiple filters
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 646854 651477
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 06:17 PDT by Mounir Lamouri (:mounir)
Modified: 2011-05-11 05:49 PDT (History)
1 user (show)
mounir: in‑litmus?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.90 KB, patch)
2011-04-20 06:17 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Review
Patch v1.1 (1.13 KB, patch)
2011-05-04 05:24 PDT, Mounir Lamouri (:mounir)
jaas: review+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2011-04-20 06:17:59 PDT
Created attachment 527247 [details] [diff] [review]
Patch v1

I don't know what is done for the save panel but I think it will preserve the native aspect most of the time. In addition, it will make clearer that different filters can be chosen. Though, we might loose some consistency...
Comment 1 Josh Aas 2011-04-25 11:10:04 PDT
Comment on attachment 527247 [details] [diff] [review]
Patch v1

I don't think this patch will apply any more.
Comment 2 Mounir Lamouri (:mounir) 2011-05-04 05:24:54 PDT
Created attachment 529972 [details] [diff] [review]
Patch v1.1

Updated to apply on current trunk.
Comment 3 Josh Aas 2011-05-08 00:59:20 PDT
Comment on attachment 529972 [details] [diff] [review]
Patch v1.1

Review of attachment 529972 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Mounir Lamouri (:mounir) 2011-05-11 05:49:02 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/ef9dd00e7bef

Note You need to log in before you can comment on or make changes to this bug.